List CCTP transfers
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"transfers": [
{
"id": "cmuzn19ul008wt5mjgok1hro4",
"status": "COMPLETED",
"sourceChain": "eip155:84532",
"destinationChain": "solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1",
"amount": "0.33",
"amountOut": "0.025447",
"sender": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"recipient": "6ZrzkiyuxiNN3LVH6donXfgJkoB7eREcbytMwd9obbnu",
"speed": "fast",
"fees": {
"maxFee": "0.304553",
"custodian": "0",
"feeExecuted": "0.304553"
},
"totalDebit": "0.33",
"sourceTxHash": "0x09d4579d4d9d7239250e54bb8737eed07d8e63c49886353b42c90b53917057e1",
"destinationTxHash": "rv4Gx3ts8BHi3TSW6NSRoWRheKHGLEagSkMtET3zV4ubgXAEaE6x5igPgiF8ueG8rkwfp6ePwBr9QTsg5XBtbnu",
"sourceExplorerUrl": "https://sepolia.basescan.org/tx/0x09d4579d4d9d7239250e54bb8737eed07d8e63c49886353b42c90b53917057e1",
"destinationExplorerUrl": "https://solscan.io/tx/rv4Gx3ts8BHi3TSW6NSRoWRheKHGLEagSkMtET3zV4ubgXAEaE6x5igPgiF8ueG8rkwfp6ePwBr9QTsg5XBtbnu?cluster=devnet",
"createdAt": "2026-10-08T14:34:46.941Z",
"updatedAt": "2026-10-08T14:35:13.193Z"
}
],
"nextCursor": "cmuzgzaj405hy41rgx2gai5e2"
}
}{
"error": "<string>"
}{
"error": "<string>"
}CCTP
List CCTP transfers
Lists the client’s CCTP transfers, newest first. Pass nextCursor as cursor to
get the next page. Use it to recover a transferId you didn’t store.
GET
/
clients
/
me
/
integrations
/
cctp
/
transfers
List CCTP transfers
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"transfers": [
{
"id": "cmuzn19ul008wt5mjgok1hro4",
"status": "COMPLETED",
"sourceChain": "eip155:84532",
"destinationChain": "solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1",
"amount": "0.33",
"amountOut": "0.025447",
"sender": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"recipient": "6ZrzkiyuxiNN3LVH6donXfgJkoB7eREcbytMwd9obbnu",
"speed": "fast",
"fees": {
"maxFee": "0.304553",
"custodian": "0",
"feeExecuted": "0.304553"
},
"totalDebit": "0.33",
"sourceTxHash": "0x09d4579d4d9d7239250e54bb8737eed07d8e63c49886353b42c90b53917057e1",
"destinationTxHash": "rv4Gx3ts8BHi3TSW6NSRoWRheKHGLEagSkMtET3zV4ubgXAEaE6x5igPgiF8ueG8rkwfp6ePwBr9QTsg5XBtbnu",
"sourceExplorerUrl": "https://sepolia.basescan.org/tx/0x09d4579d4d9d7239250e54bb8737eed07d8e63c49886353b42c90b53917057e1",
"destinationExplorerUrl": "https://solscan.io/tx/rv4Gx3ts8BHi3TSW6NSRoWRheKHGLEagSkMtET3zV4ubgXAEaE6x5igPgiF8ueG8rkwfp6ePwBr9QTsg5XBtbnu?cluster=devnet",
"createdAt": "2026-10-08T14:34:46.941Z",
"updatedAt": "2026-10-08T14:35:13.193Z"
}
],
"nextCursor": "cmuzgzaj405hy41rgx2gai5e2"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Query Parameters
Only return transfers with this status.
COMPLETED, FAILED and STALLED are final. ABANDONED means built but not submitted within 1 hour; a late submit is still accepted.
Available options:
BUILT, SUBMITTED, PENDING_SOURCE, ATTESTING, DELAYED, FORWARDING, COMPLETED, FAILED, ABANDONED, STALLED The nextCursor from the previous page.
Page size.
Required range:
1 <= x <= 100Response
Transfers
Show child attributes
Show child attributes
Was this page helpful?